工商年报
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| keyword | 是 | String | 企业全名/注册号/统一社会信用代码 |
请求代码示例:
curl -k -i "https://v.juhe.cn/enterprise/App/ReportListByName/query?key=key&keyword=xxx"
<?php
/**
* 1546-工商年报 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://v.juhe.cn/enterprise/App/ReportListByName/query"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'keyword'=> 'xxx',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 1546-工商年报 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://v.juhe.cn/enterprise/App/ReportListByName/query' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'keyword': 'xxx',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://v.juhe.cn/enterprise/App/ReportListByName/query"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("keyword", "xxx")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://v.juhe.cn/enterprise/App/ReportListByName/query";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "keyword", "xxx");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://v.juhe.cn/enterprise/App/ReportListByName/query'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
keyword: 'xxx',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://v.juhe.cn/enterprise/App/ReportListByName/query";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("keyword", "xxx");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://v.juhe.cn/enterprise/App/ReportListByName/query"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"keyword": @"xxx",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| error_code | int | 状态码 | |
| reason | string | 说明 | |
| sign | string | 数据签名 | |
| result | object | 结果 | |
| result.total | Integer | 返回列表中记录总数 | |
| result.items | Array | 年报信息 | |
| items.report_year | String | 年报年份 | |
| items.report_date | String | 发布日期 | |
| items.name | String | 企业名称 | |
| items.reg_no | String | 注册号 | |
| items.credit_no | String | 统一社会信用代码 | |
| items.telephone | String | 企业联系电话 | |
| items.email | String | 电子邮箱 | |
| items.address | String | 企业通信地址 | |
| items.oper_name | String | 企业法定代表人 | |
| items.zip_code | String | 邮政编码 | |
| items.reg_capi | String | 注册资本 | |
| items.if_invest | String | 企业是否有投资信息或购买其他公司股权 | |
| items.if_website | String | 是否有网站或网店 | |
| items.if_equity | String | 有限责任公司本年度是否发生股东股权转 | |
| items.if_external_guarantee | String | 是否提供对外担保 | |
| items.collegues_num | String | 从业人数 | |
| items.status | String | 企业标准经营状态 | |
| items.origin_status | String | 企业经营状态 | |
| items.sale_income | String | 营业总收入 | |
| items.debit_amount | String | 负债总额 | |
| items.net_amount | String | 净利润 | |
| items.prac_person_num | String | 实际员工数量 | |
| items.profit_reta | String | 所有者权益合计 | |
| items.profit_total | String | 利润总额 | |
| items.tax_total | String | 纳税总额 | |
| items.total_equity | String | 资产总额 | |
| items.fare_scope | String | 主营业务 | |
| items.serv_fare_income | String | 主营业务收入 | |
| items.websites | Array | - | |
| websites.web_type | String | 网站类型 | |
| websites.web_name | String | 网站名称 | |
| websites.web_url | String | 网站网址 | |
| items.stock_changes | Array | - | |
| items.invest_items | Array | - | |
| invest_items.invest_name | String | 投资企业名称 | |
| invest_items.invest_reg_no | String | 投资企业注册号 | |
| invest_items.invest_capi | String | 投资金额 | |
| invest_items.invest_percent | String | 投资占比 | |
| items.partners | Array | - | |
| partners.stock_name | String | 股东名称 | |
| partners.stock_type | String | 股东类型 | |
| partners.stock_percent | String | 股东所占比例 | |
| partners.identify_type | String | 证件类型 | |
| partners.identify_no | String | 企业证照号 | |
| partners.should_capi_items | Array | - | |
| should_capi_items.should_capi_date | String | 认缴出资时间 | |
| should_capi_items.shoud_capi | String | 认缴出资额 | |
| should_capi_items.invest_type | String | 认缴出资方式 | |
| partners.real_capi_items | Array | - | |
| real_capi_items.real_capi | String | 实缴出资额 | |
| real_capi_items.real_capi_date | String | 实缴出资时间 | |
| real_capi_items.invest_type | String | 实缴出资方式 | |
| items.guarantee_items | Array | - | |
JSON返回示例:JSON在线格式化工具 >
{
"result": {
"total": 7,
"items": [
{
"tax_total": "企业选择不公示",
"reg_no": "110108012660422",
"profit_total": "企业选择不公示",
"collegues_num": "企业选择不公示",
"debit_amount": "企业选择不公示",
"profit_reta": "企业选择不公示",
"zip_code": "100085",
"if_website": "是",
"email": "chenchongwei@xiaomi.com",
"if_external_guarantee": "否",
"report_date": "2020-06-24",
"address": "北京市海淀区西二旗中路33号院6号楼6层006号",
"reg_capi": "-",
"if_equity": "否",
"prac_person_num": "-",
"oper_name": "-",
"telephone": "010-69630728",
"guarantee_items": [],
"fare_scope": "-",
"credit_no": "91110108551385082Q",
"total_equity": "企业选择不公示",
"partners": [
{
"stock_type": "-",
"identify_no": "-",
"stock_percent": "-",
"stock_name": "黎万强",
"real_capi_items": [
{
"real_capi": "18724.3569万人民币",
"invest_type": "货币",
"real_capi_date": "2015-10-30"
}
],
"identify_type": "-",
"should_capi_items": [
{
"should_capi_date": "2015-10-30",
"shoud_capi": "18724.3569万人民币",
"invest_type": "货币"
}
]
}
],
"report_year": "2019",
"name": "小米科技有限责任公司",
"serv_fare_income": "企业选择不公示",
"invest_items": [
{
"invest_reg_no": "911101080696123",
"invest_percent": "-",
"invest_capi": "-",
"invest_name": "北京创派力量科技有限公司"
}
],
"websites": [
{
"web_url": "www.mi.com",
"web_type": "网店",
"web_name": "小米商城"
}
],
"stock_changes": [],
"net_amount": "企业选择不公示",
"if_invest": "是",
"origin_status": "开业",
"sale_income": "企业选择不公示",
"status": "在业"
}
]
},
"reason": "success",
"sign": "eab9763a55dc4d9ab864aee3bf375eb4",
"error_code": 0
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 259200 | 网络超时,请稍后再试 | |
| 259201 | 参数缺失 | |
| 259202 | 参数不合法 | |
| 259203 | 内部错误 | |
| 259204 | 查询无结果 | |
| 259205 | 未知错误 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号